

<?php 
ini_set('max_execution_time', 0); //300 seconds = 5 minutes 
date_default_timezone_set("Asia/Bangkok");
// echo $_SESSION['company_id'];
include('../include/connectDB.php'); 
include('../include/connectDB_Bill.php'); 

$currentdate = date('Y-m-d');

$yearY = date("Y"); 
$yearM = date("m"); 
$yearD = date("d");
$htime = date("H:i:sa"); 
$current_time = $yearD.'.'.$yearM.'.'.($yearY+543);
$s_trime = $yearY.$yearM.$yearD;
$DateStart=date($s_trime);
$strtime = strtotime($DateStart);
$caltime=strtotime("-2 Month",$strtime);
$ResultDate=date("Y-m-d", $caltime);
$yearY = substr(date("$ResultDate"), 0,-6); 
$yearM = substr(date("$ResultDate"), 5,-3); 
$yearD = substr(date("$ResultDate"), -2); 
$s_trime = $yearD.'.'.$yearM.'.'.($yearY+543);  
// $s_trime = "20.05.2564"; 
?>


<?php

$start_id = start_id($ConnYS);
$end_id = end_id($connFB);

// echo "start_id".$start_id;
// echo "<BR>";
// echo "end_id".$end_id;
// die("stop");

$sql1 = " SELECT
            D_ID
            ,H_ID
            ,SET_GROUP
            ,SET_CODE
            ,D_EXPENSIVEOLD
            ,D_EXPENSIVENEW
            ,TRUCK_NO
            ,ADVANCE_DATE
            ,INSURANCE_STARTDATE
            ,INSURANCE_ENDDATE
            ,D_REMARK
            ,D_STATUS
            ,CREATEBY
            ,CREATEDATE
            ,UPDATEBY
            ,UPDATEDATE
            
            from  TRANS_BWCOSTDETAIL
            where   D_ID  between '".$start_id."' and '".$end_id."' "; 
// echo $sql1;
$rst1 = ibase_query($connFB, $sql1);
// die("Stop");
$x = 0;
while($arr1         = ibase_fetch_assoc($rst1)) {
   
    $D_ID                   = $arr1["D_ID"];
    $H_ID                   = $arr1["H_ID"];
    $SET_GROUP              = $arr1["SET_GROUP"];
    $SET_CODE               = $arr1["SET_CODE"];
    $D_EXPENSIVEOLD         = $arr1["D_EXPENSIVEOLD"];
    $D_EXPENSIVENEW         = $arr1["D_EXPENSIVENEW"];
    $TRUCK_NO               = $arr1["TRUCK_NO"];
    $ADVANCE_DATE           = $arr1["ADVANCE_DATE"];
    $INSURANCE_STARTDATE    = $arr1["INSURANCE_STARTDATE"];
    $INSURANCE_ENDDATE      = $arr1["INSURANCE_ENDDATE"];
    $D_REMARK               = $arr1["D_REMARK"];
    $D_STATUS               = $arr1["D_STATUS"];
    $CREATEBY               = $arr1["CREATEBY"];
    $CREATEDATE             = $arr1["CREATEDATE"];
    $UPDATEBY               = $arr1["UPDATEBY"];
   
        if ($ConnYS) {
            sqlsrv_begin_transaction($ConnYS);
                try {

                     $sql_name = "INSERT into  TRANS_BWCOSTDETAIL (D_ID ,H_ID, SET_GROUP, SET_CODE, D_EXPENSIVEOLD, D_EXPENSIVENEW, TRUCK_NO, ADVANCE_DATE, INSURANCE_STARTDATE, INSURANCE_ENDDATE, D_REMARK, D_STATUS
                                                , CREATEBY, CREATEDATE, UPDATEBY)  
                                         values ('".$D_ID."', '".$H_ID."', '".$SET_GROUP."', '".$SET_CODE."', '".$D_EXPENSIVEOLD."', '".$D_EXPENSIVENEW."', '".$TRUCK_NO."'
                                                , '".$ADVANCE_DATE."', '".$INSURANCE_STARTDATE."', '".$INSURANCE_ENDDATE."', '".$D_REMARK."', '".$D_STATUS."', '".$CREATEBY."', '".$CREATEDATE."'
                                                , '".$UPDATEBY."') "; 
                            // echo $sql_name."<br>".$x;
                        $stm_plan = sqlsrv_prepare ($ConnYS, $sql_name);
                        if (!$stm_plan) {
                            throw new Exception("sql_name  plan#". $sql_name); 
                        }
                        if (!sqlsrv_execute($stm_plan)) {
                            throw new Exception("sql_name นำเข้า plan ไม่สำเหร็จ#" . $sql_name);
                        }
       
                        // sqlsrv_rollback($ConnYS);

                sqlsrv_commit($ConnYS);
                // echo "Success";
            } catch (Exception $ex) {
                sqlsrv_rollback($ConnYS);
                 sqlsrv_close($ConnYS);
                echo $ex."ไม่บันทึกดาต้าเบส";
            }
        }
        $x++;
    }


// echo "Success".$x;
echo "17";

write_text("TRANS_BWCOSTDETAIL",$current_time,$htime);
// write_text2("....................................");

function write_text($TRANS_BWCOSTDETAIL,$current_time,$htime){
    $t_string = "$TRANS_BWCOSTDETAIL".'  '."$current_time".' '."$htime";
    $strFileName = "LogSynDB.txt";
    $objFopen = fopen($strFileName, 'a');
    $strText1 = "$t_string\r\n";
    fwrite($objFopen, $strText1);
}


function end_id($connFB){
    $sql_idex = "SELECT max(D_ID) as END_INDEX from  TRANS_BWCOSTDETAIL";
    $rs_idex = ibase_query($connFB, $sql_idex);
			$arr_idex = ibase_fetch_assoc($rs_idex); 
			$end_em_idex =  ($arr_idex["END_INDEX"]);
		return $end_em_idex;
}

function start_id($ConnYS){
    $sql_idex = "SELECT (CASE WHEN max(D_ID) is NULL THEN 0 ELSE max(D_ID)+1 END) as START_INDEX from TRANS_BWCOSTDETAIL ";
    $rs_br_idex = sqlsrv_query($ConnYS, $sql_idex);
			$arr_idex = sqlsrv_fetch_array($rs_br_idex); 
			$start_idex =  ($arr_idex["START_INDEX"]);
        return $start_idex;
}
                
 ?>
	







